Skip to main content
GET
Get File Build

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

orderId
string
required
lineItemId
string
required

Response

The file build configuration for the line item.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
orderLineItemId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
priceEntryType
enum<string> | null
required
Available options:
cash,
card
industryType
enum<string> | null
required
Available options:
retail,
restaurant
tipOptions
enum<string>[] | null
required
Available options:
tip_line,
tip_prompt,
no_tip
gatewaySetupEmail
string | null
required
Maximum string length: 256
configurations
enum<string>[] | null
required
Available options:
ndf,
ebt,
amex,
pin_debit,
server,
avs_cvv2,
auto_batch
autoBatchTime
string | null
required
Maximum string length: 48
timezone
string | null
required
Maximum string length: 48
taxEnabled
boolean
required
taxPercent
number | null
required
Required range: 1 <= x <= 15Must be a multiple of 0.01
createdAt
string
required
createdBy
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
updatedAt
string
required
updatedBy
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$